Bug 1195854 - Correct steps for adding of a user on EAP/Wildfly
Summary: Correct steps for adding of a user on EAP/Wildfly
Keywords:
Status: NEW
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Matej Melko
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 17:28 UTC by Tomas Rohovsky
Modified: 2016-01-04 07:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2574 Minor Resolved Correct steps for adding of a user on EAP/Wildfly 2016-08-01 03:03:50 UTC

Description Tomas Rohovsky 2015-02-24 17:28:31 UTC
If a user is added by a command mentioned in the README files:

bin/add-user.sh --user guest --password guestp.1 --realm ApplicationRealm --group guest

It results in

 * Error * 
JBAS015281: The user supplied realm name 'ApplicationRealm' does not match the realm name discovered from the property file(s) 'ManagementRealm'.

Exception in thread "main" org.jboss.as.domain.management.security.adduser.AddUserFailedException: JBAS015281: The user supplied realm name 'ApplicationRealm' does not match the realm name discovered from the property file(s) 'ManagementRealm'.
	at org.jboss.as.domain.management.security.adduser.ErrorState.execute(ErrorState.java:71)
	at org.jboss.as.domain.management.security.adduser.AddUser.run(AddUser.java:131)
	at org.jboss.as.domain.management.security.adduser.AddUser.main(AddUser.java:210)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:483)
	at org.jboss.modules.Module.run(Module.java:312)
	at org.jboss.modules.Main.main(Main.java:473)

Correct command for adding of a user to ApplicationRealm is:

bin/add-user.sh -a --user guest --password guestp.1 --group guest


Note You need to log in before you can comment on or make changes to this bug.